Software/KPICore/ViewModels/Test/TestAjaxViewModel.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace AEWeb.ViewModels.Test
{
    public class TestAjaxViewModel
    {
        public string Value { get; set; }
    }
}

Software/KPICore/Components/Test/TestDdlAjaxViewComponent.cs
using AEWeb.ViewModels.Test;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace AEWeb.Components.Test
{
    public class TestDdlAjaxViewComponent : ViewComponent
    {
        public IViewComponentResult Invoke(string value)
        {
            TestAjaxViewModel model = new TestAjaxViewModel();
            model.Value = value;
            return View("Default", model);
        }
    }
}

Software/KPICore/Controllers/Test/TestController.cs
using AEWeb.Controllers.Shared;
using AEWeb.ViewModels.DataWarehouse;
using Infrastructure.Mediator.Dashboard.Queries;
using MediatR;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace AEWeb.Controllers.Test
{
    public class TestController : I18nController
    {

        public IMediator _mediator { get; set; }

        public TestController(IMediator mediator)
        {
            _mediator = mediator;
        }

        public IActionResult TestVCAjax()
        {
            return View();
        }

        public IActionResult OnlyVC(string value)
        {
            return ViewComponent("TestDdlAjax", value);
        }

        public async Task<JsonResult> Region_Read()
        {
            List<Domain.Region.Region> regions = await _mediator.Send(new GetRegionQuery());

            List<RegionDataWarehouseViewModel> result = new List<RegionDataWarehouseViewModel>();

            foreach (Domain.Region.Region obj in regions)
            {
                RegionDataWarehouseViewModel model = RegionDataWarehouseViewModel.FromItem(obj);
                result.Add(model);
            }
            return Json(result);
        }
    }
}

Software/KPICore/Views/Test/TestVCAjax.cshtml
@model AEWeb.ViewModels.Test.TestAjaxViewModel
@addTagHelper *, AEWeb
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
}
<p>
    Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras at enim vitae ex fringilla dapibus ut iaculis augue. Curabitur interdum tortor non magna maximus, at volutpat leo commodo. Nunc at tincidunt est. Curabitur non viverra leo. Nunc maximus velit sit amet orci commodo, condimentum blandit velit blandit. Sed id augue non neque vestibulum luctus a sit amet nunc. Phasellus convallis placerat ante sit amet laoreet. Pellentesque dui massa, malesuada non ex sit amet, pharetra rhoncus nisi. Sed condimentum lectus vel fermentum feugiat. Vivamus rhoncus lectus sed lacus aliquam, in suscipit eros tempor. Proin molestie erat eget ligula rhoncus, tempor eleifend tortor laoreet. Cras volutpat tempus dapibus. Nunc iaculis accumsan libero, at tincidunt neque ultricies eget. Integer suscipit, eros vel tincidunt iaculis, tortor mauris aliquet turpis, sed tincidunt purus massa ut metus.

</p>
<p>
    Nunc non magna a est auctor congue. Suspendisse faucibus auctor massa, eu fringilla ex sagittis id. Etiam a ante auctor risus commodo dapibus. Vestibulum ac diam ac neque ullamcorper eleifend vitae molestie mauris. Sed egestas euismod elit, ornare ullamcorper mauris gravida sed. Mauris pharetra mi sed lorem vestibulum lacinia. Ut elementum orci non magna varius, ut lobortis purus posuere. Ut mi nibh, condimentum pharetra fringilla vitae, pellentesque sit amet nulla. Integer eu fermentum dolor, id tincidunt felis. Duis orci erat, suscipit vitae diam a, finibus euismod urna. Donec quis fermentum massa. Proin non turpis ut tellus feugiat venenatis. Suspendisse potenti. Quisque magna nunc, ultricies lobortis feugiat eget, lobortis eget felis. Nulla quis hendrerit odio, sed eleifend purus. Sed nec elit lorem.
</p>
<p>
    Etiam non ullamcorper arcu. Donec volutpat pulvinar tortor. Sed tristique turpis tristique vestibulum tincidunt. Fusce fermentum felis vel lorem dictum, vel dictum ipsum cursus. Pellentesque id tristique mi, vel scelerisque dolor. Ut ex nisl, convallis egestas urna nec, pretium scelerisque nunc. Maecenas eu magna dui. Nulla ac accumsan dolor. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Praesent eu nisi mollis enim dignissim sollicitudin. Ut pellentesque nisl dictum, fringilla sapien non, gravida turpis. Nulla viverra massa libero, pulvinar sodales libero porttitor vitae. Phasellus commodo finibus mauris, sit amet imperdiet justo laoreet vel. Vestibulum scelerisque sapien sed aliquet ultrices. Mauris mattis purus non diam molestie venenatis.
</p>
<p>
    Suspendisse mattis cursus metus, vel rutrum nulla sagittis at. Aliquam eu ex dolor. Nulla placerat pellentesque tortor. Fusce vitae eros at ante mollis ornare. Curabitur aliquam tellus at felis luctus, vel consequat tellus gravida. Pellentesque nec turpis elementum, dignissim erat quis, tincidunt massa. Donec pellentesque lacinia tincidunt. Nunc felis mauris, laoreet vel sem eget, tempor mattis massa
</p>
<p>
    Aliquam in leo velit. Maecenas a ullamcorper lectus. Mauris massa sem, condimentum eget interdum sit amet, facilisis at felis. Nullam sem mi, dictum porta pretium sit amet, volutpat in velit. Ut lacinia purus id est aliquam bibendum. Nulla non scelerisque ipsum, ut egestas sem. Suspendisse consequat eros sapien, ut vestibulum ipsum egestas a. Cras ac leo at enim tristique tincidunt sed a est. Nulla quis magna non purus ornare faucibus. Proin non massa fringilla eros aliquet blandit. Maecenas efficitur massa eu magna tincidunt scelerisque. Proin eget tempus dui, ultricies tempus nulla. In hac habitasse platea dictumst.
</p>
<!-- the component here -->
<div id="parentdiv">
    <vc:test-ddl-ajax value="Nada"></vc:test-ddl-ajax>
</div>
<p>
    Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras at enim vitae ex fringilla dapibus ut iaculis augue. Curabitur interdum tortor non magna maximus, at volutpat leo commodo. Nunc at tincidunt est. Curabitur non viverra leo. Nunc maximus velit sit amet orci commodo, condimentum blandit velit blandit. Sed id augue non neque vestibulum luctus a sit amet nunc. Phasellus convallis placerat ante sit amet laoreet. Pellentesque dui massa, malesuada non ex sit amet, pharetra rhoncus nisi. Sed condimentum lectus vel fermentum feugiat. Vivamus rhoncus lectus sed lacus aliquam, in suscipit eros tempor. Proin molestie erat eget ligula rhoncus, tempor eleifend tortor laoreet. Cras volutpat tempus dapibus. Nunc iaculis accumsan libero, at tincidunt neque ultricies eget. Integer suscipit, eros vel tincidunt iaculis, tortor mauris aliquet turpis, sed tincidunt purus massa ut metus.

</p>
<p>
    Nunc non magna a est auctor congue. Suspendisse faucibus auctor massa, eu fringilla ex sagittis id. Etiam a ante auctor risus commodo dapibus. Vestibulum ac diam ac neque ullamcorper eleifend vitae molestie mauris. Sed egestas euismod elit, ornare ullamcorper mauris gravida sed. Mauris pharetra mi sed lorem vestibulum lacinia. Ut elementum orci non magna varius, ut lobortis purus posuere. Ut mi nibh, condimentum pharetra fringilla vitae, pellentesque sit amet nulla. Integer eu fermentum dolor, id tincidunt felis. Duis orci erat, suscipit vitae diam a, finibus euismod urna. Donec quis fermentum massa. Proin non turpis ut tellus feugiat venenatis. Suspendisse potenti. Quisque magna nunc, ultricies lobortis feugiat eget, lobortis eget felis. Nulla quis hendrerit odio, sed eleifend purus. Sed nec elit lorem.
</p>
<p>
    Etiam non ullamcorper arcu. Donec volutpat pulvinar tortor. Sed tristique turpis tristique vestibulum tincidunt. Fusce fermentum felis vel lorem dictum, vel dictum ipsum cursus. Pellentesque id tristique mi, vel scelerisque dolor. Ut ex nisl, convallis egestas urna nec, pretium scelerisque nunc. Maecenas eu magna dui. Nulla ac accumsan dolor. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Praesent eu nisi mollis enim dignissim sollicitudin. Ut pellentesque nisl dictum, fringilla sapien non, gravida turpis. Nulla viverra massa libero, pulvinar sodales libero porttitor vitae. Phasellus commodo finibus mauris, sit amet imperdiet justo laoreet vel. Vestibulum scelerisque sapien sed aliquet ultrices. Mauris mattis purus non diam molestie venenatis.
</p>
<p>
    Suspendisse mattis cursus metus, vel rutrum nulla sagittis at. Aliquam eu ex dolor. Nulla placerat pellentesque tortor. Fusce vitae eros at ante mollis ornare. Curabitur aliquam tellus at felis luctus, vel consequat tellus gravida. Pellentesque nec turpis elementum, dignissim erat quis, tincidunt massa. Donec pellentesque lacinia tincidunt. Nunc felis mauris, laoreet vel sem eget, tempor mattis massa
</p>
<p>
    Aliquam in leo velit. Maecenas a ullamcorper lectus. Mauris massa sem, condimentum eget interdum sit amet, facilisis at felis. Nullam sem mi, dictum porta pretium sit amet, volutpat in velit. Ut lacinia purus id est aliquam bibendum. Nulla non scelerisque ipsum, ut egestas sem. Suspendisse consequat eros sapien, ut vestibulum ipsum egestas a. Cras ac leo at enim tristique tincidunt sed a est. Nulla quis magna non purus ornare faucibus. Proin non massa fringilla eros aliquet blandit. Maecenas efficitur massa eu magna tincidunt scelerisque. Proin eget tempus dui, ultricies tempus nulla. In hac habitasse platea dictumst.
</p>